org.jboss.jca.adapters.jdbc

## Class StaleConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.jboss.jca.adapters.jdbc.StaleConnectionException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

      public class StaleConnectionException
      extends java.sql.SQLException

  A StaleConnectionException.
  Version:
    $Revision: 71554 $
  Author:
    Weston Price
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaleConnectionException()` Constructor
    `StaleConnectionException(java.sql.SQLException e)` Constructor
    `StaleConnectionException(java.lang.String reason)` Constructor
    `StaleConnectionException(java.lang.String reason, java.lang.String sqlstate)` Constructor
    `StaleConnectionException(java.lang.String reason, java.lang.String sqlstate, int vendorCode)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### StaleConnectionException

          public StaleConnectionException()

      Constructor

    - #### StaleConnectionException

          public StaleConnectionException(java.lang.String reason)

      Constructor
      Parameters:
        `reason` - The reason

    - #### StaleConnectionException

          public StaleConnectionException(java.sql.SQLException e)

      Constructor
      Parameters:
        `e` - The SQL exception

    - #### StaleConnectionException

          public StaleConnectionException(java.lang.String reason,
                                          java.lang.String sqlstate)

      Constructor
      Parameters:
        `reason` - The reason
        `sqlstate` - The SQL state

    - #### StaleConnectionException

          public StaleConnectionException(java.lang.String reason,
                                          java.lang.String sqlstate,
                                          int vendorCode)

      Constructor
      Parameters:
        `reason` - The reason
        `sqlstate` - The SQL state
        `vendorCode` - The vendor code

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)